<?php
// uncomment the following to define a path alias
// Yii::setPathOfAlias('local','path/to/local-folder');

// This is the main Web application configuration. Any writable
// CWebApplication properties can be configured here.
return array(
	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name'=>'Stickers App',
	
	'theme'=>'emrys',
	'sourceLanguage'=>'en',
	'language'=>'lang',
	
	// preloading 'log' component
	'preload'=>array('log'),
	// autoloading model and component classes
	'import'=>array(
		'application.models.*',
		'application.components.*',
	),

	'aliases' => array(
	//If you manually installed it
	'xupload' => 'ext.xupload'
	),

	'modules'=>array(
		// uncomment the following to enable the Gii tool
		
		'gii'=>array(
			'class'=>'system.gii.GiiModule',
			'password'=>'1',
			// If removed, Gii defaults to localhost only. Edit carefully to taste.
			'ipFilters'=>array('127.0.0.1','::1'),
		),
		
	),

	// application components
	'components'=>array(
		
		'session' => array(
			'timeout' => 86400,
		),
		
		 'request'=>array(
		    'class' => 'application.components.HttpRequest',
			'noCsrfValidationRoutes'=>array(
				'pack/check',
				'site/upload',
				'stickers/file',
				'api/user',
				'api/checkuser',
			),
            'enableCookieValidation'=>true,
			'enableCsrfValidation'=>true,
			
        ),
		
		'authManager'=>array(
		'class'=>'CDbAuthManager',
		'connectionID'=>'db',
		'assignmentTable'=>'authassignment',
		'itemTable'=>'authitem',
		'itemChildTable'=>'authitemchild',
		), 

		'user'=>array(
			// enable cookie-based authentication
			'allowAutoLogin'=>true,
		),

		// uncomment the following to enable URLs in path-format
		/* 'urlManager'=>array(
            'urlFormat'=>'path',
            'rules'=>require(
                dirname(__FILE__).'/../extensions/starship/restfullyii/config/routes.php'
            ),
        ), */

		// database settings are configured in database.php
		'db'=>require(dirname(__FILE__).'/database.php'),

		'errorHandler'=>array(
			// use 'site/error' action to display errors
			'errorAction'=>YII_DEBUG ? null : 'site/error',
		),

		'log'=>array(
			'class'=>'CLogRouter',
			'routes'=>array(
				array(
					'class'=>'CFileLogRoute',
					'levels'=>'error, warning',
				),
				// uncomment the following to show log messages on web pages
				/*
				array(
					'class'=>'CWebLogRoute',
				),
				*/
			),
		),

	),

	// application-level parameters that can be accessed
	// using Yii::app()->params['paramName']
	'params'=>array(
		// this is used in contact page
		'one_signal_id'=>'ONE_SIGNAL_ID',
		'one_signal_rest_api'=>'REST_API_KEY'
	),
);
