<?php
date_default_timezone_set('Europe/Istanbul');
class ApiController extends Controller
{	
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/api', meaning
	 * using two-column layout. See 'protected/views/layouts/api.php'.
	 */
	public $layout='//layouts/api';
	
	public function dateDiff($date)
	{
		$mydate= date("Y-m-d H:i:s");
		$theDiff="";
		//echo $mydate;//2014-06-06 21:35:55
		$datetime1 = date_create($date);
		$datetime2 = date_create($mydate);
		$interval = date_diff($datetime1, $datetime2);
		//echo $interval->format('%s Seconds %i Minutes %h Hours %d days %m Months %y Year    Ago')."<br>";
		$min=$interval->format('%i');
		$sec=$interval->format('%s');
		$hour=$interval->format('%h');
		$mon=$interval->format('%m');
		$day=$interval->format('%d');
		$year=$interval->format('%y');
		if($interval->format('%i%h%d%m%y')=="00000")
		{
		//echo $interval->format('%i%h%d%m%y')."<br>";
		return $sec." seconds";

		} 

		else if($interval->format('%h%d%m%y')=="0000"){
		return $min." minutes";
		}


		else if($interval->format('%d%m%y')=="000"){
		return $hour." hours";
		}


		else if($interval->format('%m%y')=="00"){
		return $day." days";
		}

		else if($interval->format('%y')=="0"){
		return $mon." months";
		}

		else{
		return $year." years";
		}

	}
	
	public function getJsonImage($par){
		$json_ = json_decode($par);
		$string = "";
		if (sizeof($json_)>0):
			foreach($json_ as $key =>$value):
				$string = $string.$value->name;
			endforeach;
			return $string;
		endif;
	}
	
	/**
	 * @return string - category_name
	 */
	public function getPackDetail($cid,$column){
		// Pack Model
		$pack=Pack::model()->findAll('id=:id', array(':id'=>$cid));
		foreach($pack as $key => $cat):
			// return pack column
			return $cat->$column;
		endforeach;
	}
	
	/**
	 * Get the directory size
	 * @param directory $directory
	 * @return integer
	 */
	function dirSize($identifier) {
		$path_ = 'package/assets/'.$identifier;
		$size = 0;
		foreach(new RecursiveIteratorIterator(new RecursiveDirectoryIterator($path_)) as $file){
			$size+=$file->getSize();
		}
		
		$base = log($size) / log(1024);
		$suffix = array("", "KB", "MB", "GB", "TB");
		$f_base = floor($base);
		
		return round(pow(1024, $base - floor($base)), 1) . $suffix[$f_base];
	} 
	
	/**
	 * @return int size
	 */
	public function getSize($identifier){
		$path_ = 'package/assets/'.$identifier;
		
		$bytestotal = 0;
		$path = realpath($path_);
		if($path!==false && $path!='' && file_exists($path)){
			foreach(new RecursiveIteratorIterator(new RecursiveDirectoryIterator($path, FilesystemIterator::SKIP_DOTS)) as $object){
				$bytestotal += $object->getSize();
			}
		}
		return $bytestotal/1024;
	
	}
	
	public function cut($word, $str = 3)
	{
		if (strlen($word) > $str)
		{
			if (function_exists("mb_substr")) $word = mb_substr($word, 0, $str, "UTF-8").'';
			else $word = substr($word, 0, $str).'';
		}
		return $word;
	}
	
	/**
	 * @return string - category_name
	 */
	public function getCategoryName($cid){
		// Category Model
		$category=Categories::model()->findAll('id=:id', array(':id'=>$cid));
		foreach($category as $key => $cat):
			// return category_name
			return $cat->title;
		endforeach;
	}
	
	/**
	 * @return string - total_size
	 */
	public function totalSticker($par){
		$json_ = json_decode($par);
		$i = 0;
		if (sizeof($json_)>0):
			foreach($json_ as $key =>$value):
				$i = $i + 1;
			endforeach;
			return $i;
		endif;
	}
	
	public function actionInitial()
	{			
		
		$userid 		= Yii::app()->getRequest()->getQuery('userid');
		$purchase 		= Yii::app()->getRequest()->getQuery('purchase');
        
        $criteria=new CDbCriteria;     
        $criteria->condition='user_id=:user_id';
        $criteria->params=array(':user_id'=>$userid);
        $users = AppUser::model()->findAll($criteria);
         
        function checkAdmobStatus($par){
            
            $userid 		         = Yii::app()->getRequest()->getQuery('userid');
            $criteria                =new CDbCriteria;     
            $criteria->condition     ='user_id=:user_id';
            $criteria->params        =array(':user_id'=>$userid);
            $users                   = AppUser::model()->findAll($criteria);
            $user                    = AppUser::model()->find($criteria);
            $count_user              = count($users);
            
            $admob_status_r = 1;
            
            if($par == 0){
                $admob_status_r = 0;
            }else{
                if($count_user >= 1){
                    if($user->purchase_status == 1){
                        $admob_status_r = 0;//$model_user_id_m->admob_status; // admob is passive 0
                    }else{
                        $admob_status_r = 1; // admob is active
                    }
                }else{
                    $admob_status_r = 1; // admob is active
                }
            }
            
            return $admob_status_r;
            
        }
        
       
		
		// get all stickers by id
		$get_settings = new CDbCriteria();
		$get_settings->condition = "app_purchase_code =:app_purchase_code";
		$get_settings->params = array(':app_purchase_code' => $purchase);
		$settings_model=Configs::model()->findAll($get_settings);
		
		$model     	=Configs::model()->findAll();
		
		if(count($settings_model) == 1){
			// create array	
			$information = array();		

			foreach($settings_model as $key => $model){
			// objects 
			$data= array(
			 'status' => '200',
			 'app_name' => $model->app_name,
			 'admob_banner_id' => $model->admob_banner_id,
			 'admob_rewarded_id' => $model->admob_rewarded_id,
			 'admob_interstitial_id' => $model->admob_interstitial_id,
			 'admob_status' =>checkAdmobStatus($model->admob_status),
			 'app_version' => $model->app_version,
			 'app_message' => $model->app_message,
			 'serverkey' => $model->serverkey,
			 'productid' => $model->productid,
			 'app_purchase_code' => $model->app_purchase_code,
			 'is_maintance' => $model->is_maintance,
			 );
			// push to array
			array_push($information,$data); 
			
			}
		}else{
				// create array	
				$information = array();		

				// objects 
				$data= array(
				 'status' => '404',
				 'message' => "The server and the application could not match.",
				 );
				// push to array
				array_push($information,$data); 
			
		}
		
			

		$set["settings"] = $information;
		
		
		
		echo json_encode($set,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);			
	}
    
    public function actionAppuser(){
        
        $user_id 		= Yii::app()->getRequest()->getQuery('user_id');
        
        $get_user_from_id = new CDbCriteria();
		$get_user_from_id->condition = "user_id =:user_id";
		$get_user_from_id->params = array(':user_id' => $user_id);
		$get_user_from_id->order = 'id DESC';
		$model=AppUser::model()->findAll($get_user_from_id);
        
        if(empty($user_id)){
             $data= array(
                'status' => 200,
                'message' => 'The user key is empty.',
                );

                $AppUsers["app_users"] = $data;
                echo json_encode($AppUsers,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);   
        }else {
            if (count($model) <= 0){
                
                $model_app=new AppUser;
                $model_app->user_id = $user_id;
                $model_app->first_login = date('H:i:s d:m:Y');
                $model_app->admob_status = 1;
                $model_app->purchase_status = 0;
                
                if($model_app->save()){
                    $data= array(
                    'status' => 200,
                    'message' => 'The user is saved.',
                    ); 
                    
                    $model_app_log=new AppUserLog;
                    $model_app_log->user_id = $user_id;
                    $model_app_log->last_login = date('H:i:s d:m:Y');
                    $model_app_log->log_description = "First Login";
                    $model_app_log->save();
                    
                }else{
                    $data= array(
                    'status' => 300,
                    'message' => 'The user is not saved.',
                    );  
                }
                $AppUsers["app_users"] = $data;
                echo json_encode($AppUsers,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);            
            }else{
                
                $data= array(
                'status' => 200,
                'message' => 'The user is found on the server.',
                );
                
                $model_app_log=new AppUserLog;
                $model_app_log->user_id = $user_id;
                $model_app_log->last_login = date('H:i:s d:m:Y');
                $model_app_log->log_description = "Last Login";
                
                if($model_app_log->save()){
                    $data= array(
                    'status' => 200,
                    'message' => 'The user log is saved.',
                    ); 
                }else{
                    $data= array(
                    'status' => 300,
                    'message' => 'The user log is not saved.',
                    );  
                }

                $AppUsers["Log"] = $data;
                echo json_encode($AppUsers,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);
            } 
        }
        
       
    }
	
	
	/**
	 * @param integer $offset, @param integer $limit,
	 */
	public function actionIndex()
	{	
		function getItemFromJson($json){
			$items = array();
			$json_ = json_decode($json);
			if (sizeof($json_)>0):
					foreach($json_ as $key =>$value):
					$stickers= array(
					'images'=>$value->name,
					);
					array_push($items,$stickers);
				endforeach;
			endif;
			
			return $items;
		}
				
		function getStickersById($par){
			// get all stickers by id
			$get_stickers_by_category = new CDbCriteria();
			$get_stickers_by_category->condition = "category =:category && status=:status";
			$get_stickers_by_category->params = array(':category' => $par,':status'=>1);
			$get_stickers_by_category->order = 'id DESC';
			$get_stickers_by_category->limit = 8;
			$all_stickers=Sticker::model()->findAll($get_stickers_by_category);
			$all_stickers_size=Sticker::model()->findAll($get_stickers_by_category);
			
			$result_stickers = array();
			
			foreach($all_stickers as $key => $model){
				// objects 
				$data_stickers= array(
				'id'=>$model->id,
				'identifier'=>$model->identifier,
				'title'=>$model->title,
				'premium'=>$model->premium,
				'status'=>$model->status,
				'views'=>$model->views,
				'sticker_files'=>getItemFromJson($model->stickers),
				'tray_icon'=>getItemFromJson($model->icons),
				);
				// push to array
				array_push($result_stickers,$data_stickers);
			}
			
			return $result_stickers;			
		}
		
		// packs	
		$packs_data = new CDbCriteria();
		$packs_data->order = 'id DESC';
		$model_packs_data=Pack::model()->findAll($packs_data);
		$result = array();	
		foreach($model_packs_data as $key => $model){
			// objects 
			$data= array(
			 'id'=>$model->id,
			 'title'=>$model->title,
			 'publisher'=>$model->publisher,
			 'publisher_website'=>$model->publisher_website,
			 'privacy_policy_website'=>$model->privacy_policy_website,
			 'license_agreement_website'=>$model->license_agreement_website,
			 'stickers'=>getStickersById($model->id),
			 );
			// push to array
			array_push($result,$data);
		}   
		
		
		// Create news array
		$News["packs"] = $result;
		echo json_encode($News,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);
				
		
	}
    
    public function actionPurchase(){
        
        $userid 	= Yii::app()->getRequest()->getQuery('userid');
        $code		= Yii::app()->getRequest()->getQuery('code');
        
        $criteria = new CDbCriteria();
        $criteria->addCondition("user_id=:user_id");
        $criteria->params = array(':user_id' => $userid);
        $users = AppUser::model()->findAll($criteria);
        $user = AppUser::model()->find($criteria);
        
        //if(count($users) > 0){
            
            $criteria_purchase = new CDbCriteria();
            $criteria_purchase->addCondition("code=:code");
            $criteria_purchase->params = array(':code' => $code);
            $purchase_model = Purchase::model()->find($criteria_purchase);
            
            if(count($purchase_model) == 0){
                
                $save_purchase = new Purchase();
                $save_purchase->userid = $userid;
                $save_purchase->price = "0";
                $save_purchase->date = date('H:i:s d:m:Y');
                $save_purchase->code =$code;

                if($save_purchase->save()){

                $save_log = new AppUserLog();
                $save_log->user_id = $userid;
                $save_log->last_login = date('H:i:s d:m:Y');
                $save_log->log_description = $userid.' purchased add-free version';
                $save_log->save();

                $user->admob_status = 0;
                $user->purchase_status = 1;

                if($user->save()){
                $data= array(
                'status'=>'200',
                'message'=>'The purchase is saved.',
                );
                }

                }else{
                $data= array(
                'status'=>'200',
                'message'=>'The purchase is not saved.',
                );
                }
                
            }else{
                $purchase_model->userid = $userid;
                $purchase_model->price = "0";
                $purchase_model->date = date('H:i:s d:m:Y');
                $purchase_model->code =$code;
                
                if($purchase_model->save()){
                    
                    $save_log = new AppUserLog();
                    $save_log->user_id = $userid;
                    $save_log->last_login = date('H:i:s d:m:Y');
                    $save_log->log_description = $userid.' Returned purchased user. Updated userid.';
                    $save_log->save();

                    $user->admob_status = 0;
                    $user->purchase_status = 1;

                    if($user->save()){
                        $data= array(
                        'status'=>'200',
                        'message'=>'The purchase is updated.',
                        );
                    }

                }else{
                    $data= array(
                    'status'=>'200',
                    'message'=>'The purchase is not updated.',
                    );
                }
            }
             
       /* }else{
             $data= array(
                 'status'=>'400',
                 'message'=>'The user is not found.',
                 );
        }*/
        
        $Purchase["Log"] = $data;
		echo json_encode($Purchase,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);
        
        
    }
    
     public function actionTagKey(){
        $query 		    = Yii::app()->getRequest()->getQuery('query');
        $userid 		= Yii::app()->getRequest()->getQuery('userid');
		// new CDbCriteria
		$criteria = new CDbCriteria();
		$criteria->compare('keyword', $query, true, 'OR');
        $all_search_key=SearchKeyword::model()->findAll($criteria);
        
        $save_log = new AppUserLog();
        $save_log->user_id = $userid;
        $save_log->last_login = date('H:i:s d:m:Y');
        $save_log->log_description = $query.' searched.';
        $save_log->save();
        
        if(count($all_search_key) <= 0){
                        
            $save_m = new SearchKeyword();
            $save_m->keyword = $query;
            $save_m->count = 1;
            if($save_m->save()){        
                $data= array(
                 'status'=>'200',
                 'message'=>'New keyword added.',
			     );
            }else{
                 $data= array(
                 'status'=>'500',
                 'message'=>'There was an error adding the keyword.',
                );   
            }
             
        }else{
           foreach($all_search_key as $search_key){
                $search_key->count = $search_key->count+1;
            }
            
             if($search_key->save()){
                $data= array(
                    'status'=>'200',
                    'message'=>'Keyword updated.',
			     );
            }else{
                 $data= array(
                    'status'=>'500',
                    'message'=>'There was an error updating the keyword.',
                );   
            }
           
		}

        
        $Tags["Log"] = $data;
		echo json_encode($Tags,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);	
    }
    
    
     public function actionDownloadCount(){
            $stickerid 		    = Yii::app()->getRequest()->getQuery('stickerid');
            $model = Sticker::model()->findByPk($stickerid);
         
            $model->downloads = $model->downloads+1;

            if($model->save()){        
                $data= array(
                 'status'=>'200',
                 'message'=>'Download is updated.',
                 );
            }else{
                 $data= array(
                 'status'=>'500',
                 'message'=>'There was an error updating downloand count..',
                );   
            }

            $Download["Log"] = $data;
            echo json_encode($Download,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);	
        }
    
     public function actionViewCount(){
            $stickerid 		    = Yii::app()->getRequest()->getQuery('stickerid');
            $model = Sticker::model()->findByPk($stickerid);
         
            $model->views = $model->views+1;

            if($model->save()){        
                $data= array(
                 'status'=>'200',
                 'message'=>'View is updated.',
                 );
            }else{
                 $data= array(
                 'status'=>'500',
                 'message'=>'There was an error updating view count..',
                );   
            }

            $Download["Log"] = $data;
            echo json_encode($Download,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);	
        }
    
     public function actionSupport(){
         
        $userid 		    = Yii::app()->getRequest()->getQuery('userid');
        $email 		        = Yii::app()->getRequest()->getQuery('email');
        $message 		    = Yii::app()->getRequest()->getQuery('message');
         
        $save_log = new AppUserLog();
        $save_log->user_id = $userid;
        $save_log->last_login = date('H:i:s d:m:Y');
        $save_log->log_description = $userid.' sent a support message.';
        $save_log->save();
                
        $save_support = new Support();
        $save_support->userid = $userid;
        $save_support->email = $email;
        $save_support->message = $message;
        $save_support->date = date('H:i:s d:m:Y');
         
        if($save_support->save()){        
            $data= array(
             'status'=>'200',
             'message'=>'New support added.',
             );
        }else{
             $data= array(
             'status'=>'500',
             'message'=>'There was an error adding the support.',
            );   
        }
                    
        $Support["Log"] = $data;
		echo json_encode($Support,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);	
    }
   	
	
	/**
	 * @param integer $offset, @param integer $limit,
	 */
	public function actionGetStickersByCategoryId()
	{	
		
		$category_id 		= Yii::app()->getRequest()->getQuery('id');
	
		$get_sticker_packs = new CDbCriteria();
		$get_sticker_packs->condition = "category =:category";
		$get_sticker_packs->params = array(':category' => $category_id);
		$get_sticker_packs->order = 'id DESC';
		$models=Stickers::model()->findAll($get_sticker_packs);
		$model_size=Stickers::model()->findAll($get_sticker_packs);
						
		$total_stickers = count($model_size);
		
		// create array
		$result = array();	

		function stickers($par,$identifier){
		$stickers_model = array();
		$stickers_demo = array();
		
		$stickers = new CDbCriteria();
		$stickers->condition = "id =:id";
		$stickers->params = array(':id' => $par);
		$stickers->order = 'id DESC';
		$model_stickers=Stickers::model()->findAll($stickers);
		
		foreach($model_stickers as $key => $model){
		
		$json_ = json_decode($model->image);
		if (sizeof($json_)>0):
		foreach($json_ as $key =>$value):
				
		$stickers= array(
		'image_file'=>$value->name,
		);
		
		array_push($stickers_demo,$stickers);
		endforeach;
		endif;
		
		$stickers= array(
		'image_file'=>$path_ = 'package/assets/'.$identifier."/".Yii::app()->controller->getImage($model->id,'Stickers','image'),
		);
		
		array_push($stickers_model,$stickers);			
		 
		} 
		
		return $stickers_demo;
	}
	

	
	function tray($par){
		$tray_model = array();
		$tray_demo = array();
		
		$tray_icon = new CDbCriteria();
		$tray_icon->condition = "pack =:pack";
		$tray_icon->params = array(':pack' => $par);
		$tray_icon->order = 'id DESC';
		$model_tray_icon=Tray::model()->findAll($tray_icon);
		
		foreach($model_tray_icon as $key => $model){
		
		$json_ = json_decode($model->image);
		if (sizeof($json_)>0):
		foreach($json_ as $key =>$value):
				
		$tray_icon= array(
		'image_file'=>$value->name,
		);
		
		array_push($tray_demo,$tray_icon);
		endforeach;
		endif;
		
		/*$tray_icon= array(
		//'image_file'=>Yii::app()->controller->getImage($model->id,'Tray','image'),
		'image_file'=>$path_ = 'package/assets/'.$identifier."/".Yii::app()->controller->getImage($model->id,'Tray','image'),
		);*/
		
		//array_push($tray_model,$tray_demo);			
		 
		} 
		
		return $tray_demo;
	}
		
		foreach($models as $key => $model){
			// objects 
			$data= array(
			 'total_stickers'=>$this->totalSticker($model->image),
			 'total_size'=>$this->dirSize($this->getPackDetail($model->category,"identifier")),
			 's_id'=>$model->id,
			 's_pack'=>$model->title,
			 's_identifier'=>$this->getPackDetail($model->category,"identifier"),
			 's_publisher'=>$this->getPackDetail($model->category,"publisher"),
			 's_publisher_website'=>$this->getPackDetail($model->category,"publisher_website"),
			 's_privacy_policy_website'=>$this->getPackDetail($model->category,"privacy_policy_website"),
			 's_license_agreement_website'=>$this->getPackDetail($model->category,"license_agreement_website"),
			 's_price'=>$model->price,
			 's_view'=>$model->view,
			 's_download'=>$model->download,
			 's_created'=>$model->created,
			 's_updated'=>$model->updated,
			 's_date'=>$this->dateDiff($model->created),
			 's_tray_icons'=>tray($model->category),
			 's_sticker_images'=>stickers($model->id,$this->getPackDetail($model->category,"identifier")),
			 );
			// push to array
			array_push($result,$data);
		}   
		
		
		// Create news array
		$News["list"] = $result;
		echo json_encode($News,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);			
	}
	
	/**
	 * @param integer $offset, @param integer $limit,
	 */
	public function actionGetStickersByQuery()
	{	
		
		$query 		= Yii::app()->getRequest()->getQuery('query');
			
		function getItemFromJson($json){
			$items = array();
			$json_ = json_decode($json);
			if (sizeof($json_)>0):
					foreach($json_ as $key =>$value):
					$stickers= array(
					'images'=>$value->name,
					);
					array_push($items,$stickers);
				endforeach;
			endif;
			
			return $items;
		}
		
		// get all stickers by id
		$get_stickers_by_category = new CDbCriteria();
		$get_stickers_by_category->order = 'id DESC';
		$get_stickers_by_category->compare('tag', $query, true);
		$get_stickers_by_category->compare('tags', $query, true, 'OR');
		$all_stickers=Sticker::model()->findAll($get_stickers_by_category);
		$all_stickers_size=Sticker::model()->findAll($get_stickers_by_category);

		$result_stickers = array();

		foreach($all_stickers as $key => $model){
			// objects 
			$data_stickers= array(
			'id'=>$model->id,
			'identifier'=>$model->identifier,
			'publisher'=>$this->getPackDetail($model->category,"publisher"),
			'title'=>$model->title,
			'premium'=>$model->premium,
			'status'=>$model->status,
			'views'=>$model->views,
			'sticker_files'=>getItemFromJson($model->stickers),
			'tray_icon'=>getItemFromJson($model->icons),
			);
			// push to array
			array_push($result_stickers,$data_stickers);
		}
		
		
		
		// Create news array
		$News["stickers"] = $result_stickers;
		echo json_encode($News,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);			
	}
	
	/**
	 * get all slides
	 */
	public function actionSlides()
	{	
		// get all slides from db
		$models=Slide::model()->findAll();
		// create array
		$result = array();
		foreach($models as $key => $model){
			// json objects
			$data= array(
			 'id' => $model->id,
			 'title' => $model->title,
			 'image' => $this->getImage($model->id,'Slide','image')
			 );
			 // push to result array
			array_push($result,$data);
		}    
		// create array and write json
		$Slides["slides"] = $result;
		echo json_encode($Slides,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);
	}
	
	/**
	 * get all categories
	 */
	public function actionCategories()
	{	
		// get all categories from db
		$models=Pack::model()->findAll();
		// create array
		$result = array();
		foreach($models as $key => $model){
			// json objects
			$data= array(
			 'id' => $model->id,
			 'title' => $model->title,
			 'identifier' => $model->identifier,
			 'publisher' => $model->publisher,
			 'publisher_website' => $model->publisher_website,
			 'privacy_policy_website' => $model->privacy_policy_website,
			 'license_agreement_website' => $model->license_agreement_website
			 );
			 // push to result array
			array_push($result,$data);
		}    
		// create array and write json
		$Category["categories"] = $result;
		echo json_encode($Category,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);
	}
	
	/**
	 * get all labels
	 */
	public function actionLabels()
	{	
		// get all labels from db
		$models=Label::model()->findAll();
		// create array
		$result = array();
		foreach($models as $key => $model){
			// json objects
			$data= array(
			 'id' => $model->id,
			 'identifier' => $model->identifier,
			 'label' => $this->getImage($model->id,'Label','label'),
			 'status' => $model->status
			 );
			 // push to result array
			array_push($result,$data);
		}    
		// create array and write json
		$Labels["labels"] = $result;
		echo json_encode($Labels,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);
	}
	
	/**
	 * get all fonts
	 */
	public function actionFonts()
	{	
		// get all fonts from db
		$models=Fonts::model()->findAll();
		// create array
		$result = array();
		foreach($models as $key => $model){
			// json objects
			$data= array(
			 'id' => $model->id,
			 'font' => $this->getImage($model->id,'Fonts','font')
			 );
			 // push to result array
			array_push($result,$data);
		}    
		// create array and write json
		$Fonts["fonts"] = $result;
		echo json_encode($Fonts,JSON_PRETTY_PRINT,JSON_UNESCAPED_SLASHES);
	}


}