<?php

class SiteController extends Controller
{
	/**
	 * Declares class-based actions.
	 */
	public function actions()
	{
		return array(
			// captcha action renders the CAPTCHA image displayed on the contact page
			/*'captcha'=>array(
				'class'=>'CCaptchaAction',
				'backColor'=>0xFFFFFF,
			),*/
			'captcha'=>array(
			'class'=>'CaptchaExtendedAction',
			// if needed, modify settings
			'mode'=>CaptchaExtendedAction::MODE_WORDS,
			),
			// page action renders "static" pages stored under 'protected/views/site/pages'
			// They can be accessed via: index.php?r=site/page&view=FileName
			'page'=>array(
				'class'=>'CViewAction',
			),
		);
	}
	
	public function actionUploadfilex()
	{	

		if($_FILES){
		/* Dosya Adını Düzeltme Fonksiyonu */
		    // Yüklenen dosya adındaki türkçe karakterleri değiştirir
		    function renamefile($filename) {
		        $find = array('Ç', 'Ş', 'Ğ', 'Ü', 'İ', 'Ö', 'ç', 'ş', 'ğ', 'ü', 'ö', 'ı', '-');
		        $replace = array('c', 's', 'g', 'u', 'i', 'o', 'c', 's', 'g', 'u', 'o', 'i', ' ');
		        $filename = strtolower(str_replace($find, $replace, $filename)); // str_replace() ile türkçe karakterleri değiştiriyoruz. strtolower() ile büyük harfleri küçük harfe dönüştürüyoruz.
		        $filename = str_replace(' ', '-', $filename); // str_replace() fonksiyonu ile boşlukları - yapıyoruz.

		        return $filename;
		    }
		/* Dosya Adını Düzeltme Fonksiyonu */
		$uploadfolder = 'upload'; // Dosyanın yükleneceği klasörü yolunu yazıyoruz.
		$file = $_FILES['file']; // $_FILES ile gelen verileri değişkene atıyoruz.
		// $formats = array("application/pdf", "application/doc", "application/docx", "application/xls", "application/xlsx"); // Dokümanlar için PDF, Word, Excel formatları
		$formats = array("image/pjpeg", "image/jpeg", "image/gif", "image/bmp", "image/x-png", "image/png","application/postscript","application/pdf"); // Resimler için Jpg, Gif, Bmp, Png formatları
		// $formats = array("video/mp4", "video/mpg", "video/mpeg", "video/mov", "video/avi", "video/flv", "video/wmv"); // Videolar için Mp4, Mpg, Mov, Avi, Flv, Wmv formatları
		$url_decode = urldecode($file['name']);
		$name = explode('/', $url_decode);
		$rand = time(); // Random bir değer atamak için burada zamanı alıyoruz.
		if (in_array($file['type'], $formats)) {
		    // Yüklemek istenilen dosyanın izin verilen dosya formatlarına uygunluğunu kontrol ediyoruz.
		    $upload_file = $uploadfolder.'/'.$rand.renamefile($name[count($name) - 1]);
			if(move_uploaded_file($file['tmp_name'], $upload_file)){
				$filename = $rand.renamefile($name[count($name) - 1]);
				unset(Yii::app()->session['product_file']);
				Yii::app()->session['product_file'] = $filename;
				echo '<div class="notification success closeable">
				<p><span>Başarılı!</span> Dosya başarıyla yüklendi.</p> <span class="close"></span>
			</div>';
			}else{
				 echo '<div class="notification error closeable">
				<p><span>Başarısız.!</span> Bir hata oluştu lütfen web yöneticinize başvurunuz. Yanlış Dosya Formatı veya boyut sınırı aşıyor. İzin verilen dosya formatları : jpeg, png, pdf, ai</div></p> <span class="close"></span>
			</div>';
			}  
		}else{
		     echo '<div class="notification error closeable">
				<p><span>Başarısız.!</span> Bir hata oluştu lütfen web yöneticinize başvurunuz. Yanlış Dosya Formatı veya boyut sınırı aşıyor. İzin verilen dosya formatları : jpeg, png, pdf, ai</div></p> <span class="close"></span>
			</div>';
		}
		}        

	}
	
	public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('view','admin','contact','privacy','terms'),
				'roles'=>array('readPost'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create'),
				#'users'=>array('admin'),
				'roles'=>array('createPost'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('update'),
				#'users'=>array('admin'),
				'roles'=>array('updatePost'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('delete','deleteall'),
				#'users'=>array('admin'),
				'roles'=>array('admin'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

	/**
	 * This is the default 'index' action that is invoked
	 * when an action is not explicitly requested by users.
	 */
	public function actionIndex()
	{
		//$this->redirect(array('user/index'));
		$this->layout = '//layouts/site';
		$this->render('site');
	}
    
    
    /**
	 * This is the default 'privacy' action that is invoked
	 * when an action is not explicitly requested by users.
	 */
	public function actionPrivacy()
	{
		$this->layout = '//layouts/privacy';
		$this->render('privacy');
	}
    
    
    /**
	 * This is the default 'privacy' action that is invoked
	 * when an action is not explicitly requested by users.
	 */
	public function actionTerms()
	{
		$this->layout = '//layouts/terms';
		$this->render('terms');
	}
    
    
    
	
	/**
	 * Displays the contact page
	 */
	public function actionContact()
	{			
			
		$model=new Contact;

		// Uncomment the following line if AJAX validation is needed
		//$this->performAjaxValidation($model);

		if(isset($_POST['Contact']))
		{
			$model->attributes=$_POST['Contact'];
				
			$verifyCode = $model->verifyCode;
			$name 		= $model->name;
			$email 		= $model->email;
			$phone 		= $model->phone;
			$message 	= $model->message;
			
			if(!isset($verifyCode) || trim($verifyCode) == '' || !isset($name) || trim($name) == '' || !isset($email) || trim($email) == '' || !isset($phone) || trim($phone) == '' || !isset($message) || trim($message) == '')
			{
			   echo "Please fill all fields.";
			}else{
				if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
					$model->ip_address =  $this->getUserIP();
					if($model->save()){
						echo 'Thank you';
					}else{
						echo 'Make sure your verify code is correct. Please reload the page and try it again.';
					}
				
				} else {
				echo "Email address '$email' is considered invalid.\n";
				}
			}

		}
		
	}
	
	public function getUserIP() {
    $ipaddress = '';
    if (isset($_SERVER['HTTP_CLIENT_IP']))
        $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
    else if(isset($_SERVER['HTTP_X_FORWARDED_FOR']))
        $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
    else if(isset($_SERVER['HTTP_X_FORWARDED']))
        $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
    else if(isset($_SERVER['HTTP_X_CLUSTER_CLIENT_IP']))
        $ipaddress = $_SERVER['HTTP_X_CLUSTER_CLIENT_IP'];
    else if(isset($_SERVER['HTTP_FORWARDED_FOR']))
        $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
    else if(isset($_SERVER['HTTP_FORWARDED']))
        $ipaddress = $_SERVER['HTTP_FORWARDED'];
    else if(isset($_SERVER['REMOTE_ADDR']))
        $ipaddress = $_SERVER['REMOTE_ADDR'];
    else
        $ipaddress = 'UNKNOWN';
    return $ipaddress;
}
	

	/**
	 * This is the action to handle external exceptions.
	 */
	public function actionError()
	{	
		$this->layout = '//layouts/error';
		if($error=Yii::app()->errorHandler->error)
		{
			if(Yii::app()->request->isAjaxRequest)
				echo $error['message'];
			else
				$this->render('error', $error);
		}
	}


	/**
	 * Displays the login page
	 */
	public function actionLogin()
	{
		
		$model=new LoginForm;
		$this->layout = '//layouts/login';

		// if it is ajax validation request
		if(isset($_POST['ajax']) && $_POST['ajax']==='login-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}

		// collect user input data
		if(isset($_POST['LoginForm']))
		{
			$model->attributes=$_POST['LoginForm'];
			// validate user input and redirect to the previous page if valid
			if($model->validate() && $model->login())
				$this->redirect(Yii::app()->user->returnUrl);
		}
		// display the login form
		$this->render('login',array('model'=>$model));
	}

	/**
	 * Logs out the current user and redirect to homepage.
	 */
	public function actionLogout()
	{
		Yii::app()->user->logout();
		$this->redirect(Yii::app()->homeUrl);
	}
	
			public function actionRemoveFile()
    {
        $uploadDir=$_POST['uploadDir'];
        if(isset($_POST['file'])){
            $file = $uploadDir . $_POST['file'];
            if(file_exists($file)){
                unlink($file);
            }
        }
    }
    public function actionUpload()
    {
        require_once(Yii::app()->basePath.'/extensions/euploadmam/assets/php/class.uploader.php');
        $uploader   = new Uploader();
        $limit      =$_POST['limit'];
        $maxSize    =$_POST['maxSize'];
        $extensions =json_decode($_POST['extensions'],true);
        $uploadDir  =$_POST['uploadDir'];
        $title      =json_decode($_POST['title'],true);
        $name       =$_POST['name'];
        $data       = $uploader->upload($_FILES["$name"], array(
            'limit' => $limit, //Maximum Limit of files. {null, Number}
            'maxSize' => $maxSize, //Maximum Size of files {null, Number(in MB's)}
            'extensions' => $extensions, //Whitelist for file extension. {null, Array(ex: array('jpg', 'png'))}
            'required' => false, //Minimum one file is required for upload {Boolean}
            'uploadDir' => $uploadDir, //Upload directory {String}
            'title' => $title,//New file name {null, String, Array} *please read documentation in README.md
            'removeFiles' => true, //Enable file exclusion {Boolean(extra for jQuery.filer), String($_POST field name containing json data with file names)}
            'perms' => null, //Uploaded file permisions {null, Number}
            'onCheck' => null, //A callback function name to be called by checking a file for errors (must return an array) | ($file) | Callback
            'onError' => null, //A callback function name to be called if an error occured (must return an array) | ($errors, $file) | Callback
            'onSuccess' => null, //A callback function name to be called if all files were successfully uploaded | ($files, $metas) | Callback
            'onUpload' => null, //A callback function name to be called if all files were successfully uploaded (must return an array) | ($file) | Callback
            'onComplete' => null, //A callback function name to be called when upload is complete | ($file) | Callback
            'onRemove' => 'onFilesRemoveCallback' //A callback function name to be called by removing files (must return an array) | ($removed_files) | Callback
        ));
 
        if($data['isComplete']){
 
            $record=[];
            $record['name']         =$data['data']['metas'][0]['name'];
            $record['extension']    =$data['data']['metas'][0]['extension'];
            $record['size']         =$data['data']['metas'][0]['size'];
            $record['type']         =$data['data']['metas'][0]['type'][0];
            #$files                 =$data['data']['metas'][0];
            print_r(json_encode($record));
        }
 
        if($data['hasErrors']){
            $errors = $data['errors'];
            print_r($errors);
        }
 
        function onFilesRemoveCallback($removed_files){
            foreach($removed_files as $key=>$value){
                $file = $uploadDir . $value;
                if(file_exists($file)){
                    unlink($file);
                }
            }
 
            return $removed_files;
        }
    }
}