<?php

/**
 * This is the model class for table "site_services".
 *
 * The followings are the available columns in table 'site_services':
 * @property integer $site_service_id
 * @property string $site_service_first_title
 * @property string $site_service_first_description
 * @property string $site_service_first_icon
 * @property string $site_service_second_title
 * @property string $site_service_second_description
 * @property string $site_service_second_icon
 * @property string $site_service_third_title
 * @property string $site_service_third_description
 * @property string $site_service_third_icon
 * @property string $site_service_fourth_title
 * @property string $site_service_fourth_description
 * @property string $site_service_fourth_icon
 * @property string $site_service_title
 * @property string $site_service_description
 */
class SiteServices extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'site_services';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('site_service_first_title, site_service_first_description, site_service_first_icon, site_service_second_title, site_service_second_description, site_service_second_icon, site_service_third_title, site_service_third_description, site_service_third_icon, site_service_fourth_title, site_service_fourth_description, site_service_fourth_icon, site_service_title, site_service_description', 'required'),
			array('site_service_first_title, site_service_second_title, site_service_third_title, site_service_fourth_title', 'length', 'max'=>100),
			array('site_service_first_description, site_service_second_description, site_service_third_description, site_service_fourth_description, site_service_title', 'length', 'max'=>225),
			array('site_service_first_icon, site_service_second_icon, site_service_third_icon, site_service_fourth_icon', 'length', 'max'=>50),
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('site_service_id, site_service_first_title, site_service_first_description, site_service_first_icon, site_service_second_title, site_service_second_description, site_service_second_icon, site_service_third_title, site_service_third_description, site_service_third_icon, site_service_fourth_title, site_service_fourth_description, site_service_fourth_icon, site_service_title, site_service_description', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'site_service_id' => 'Site Service',
			'site_service_first_title' => 'Site Service First Title',
			'site_service_first_description' => 'Site Service First Description',
			'site_service_first_icon' => 'Site Service First Icon',
			'site_service_second_title' => 'Site Service Second Title',
			'site_service_second_description' => 'Site Service Second Description',
			'site_service_second_icon' => 'Site Service Second Icon',
			'site_service_third_title' => 'Site Service Third Title',
			'site_service_third_description' => 'Site Service Third Description',
			'site_service_third_icon' => 'Site Service Third Icon',
			'site_service_fourth_title' => 'Site Service Fourth Title',
			'site_service_fourth_description' => 'Site Service Fourth Description',
			'site_service_fourth_icon' => 'Site Service Fourth Icon',
			'site_service_title' => 'Site Service Title',
			'site_service_description' => 'Site Service Description',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('site_service_id',$this->site_service_id);
		$criteria->compare('site_service_first_title',$this->site_service_first_title,true);
		$criteria->compare('site_service_first_description',$this->site_service_first_description,true);
		$criteria->compare('site_service_first_icon',$this->site_service_first_icon,true);
		$criteria->compare('site_service_second_title',$this->site_service_second_title,true);
		$criteria->compare('site_service_second_description',$this->site_service_second_description,true);
		$criteria->compare('site_service_second_icon',$this->site_service_second_icon,true);
		$criteria->compare('site_service_third_title',$this->site_service_third_title,true);
		$criteria->compare('site_service_third_description',$this->site_service_third_description,true);
		$criteria->compare('site_service_third_icon',$this->site_service_third_icon,true);
		$criteria->compare('site_service_fourth_title',$this->site_service_fourth_title,true);
		$criteria->compare('site_service_fourth_description',$this->site_service_fourth_description,true);
		$criteria->compare('site_service_fourth_icon',$this->site_service_fourth_icon,true);
		$criteria->compare('site_service_title',$this->site_service_title,true);
		$criteria->compare('site_service_description',$this->site_service_description,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return SiteServices the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
