<?php

/**
 * This is the model class for table "site_team".
 *
 * The followings are the available columns in table 'site_team':
 * @property integer $site_team_id
 * @property string $site_team_name
 * @property string $site_team_image
 * @property string $site_team_mission
 */
class SiteTeam extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'site_team';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('site_team_name, site_team_image, site_team_mission', 'required'),
			array('site_team_name', 'length', 'max'=>100),
			array('site_team_mission', 'length', 'max'=>50),
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('site_team_id, site_team_name, site_team_image, site_team_mission', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'site_team_id' => 'Site Team',
			'site_team_name' => 'Site Team Name',
			'site_team_image' => 'Site Team Image',
			'site_team_mission' => 'Site Team Mission',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('site_team_id',$this->site_team_id);
		$criteria->compare('site_team_name',$this->site_team_name,true);
		$criteria->compare('site_team_image',$this->site_team_image,true);
		$criteria->compare('site_team_mission',$this->site_team_mission,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return SiteTeam the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
