<?php

/**
 * This is the model class for table "site_team_section".
 *
 * The followings are the available columns in table 'site_team_section':
 * @property integer $site_team_section_id
 * @property string $site_team_section_title
 * @property string $site_team_section_short
 * @property string $site_team_section_description
 */
class SiteTeamSection extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'site_team_section';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('site_team_section_title, site_team_section_short, site_team_section_description', 'required'),
			array('site_team_section_title', 'length', 'max'=>100),
			array('site_team_section_short', 'length', 'max'=>255),
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('site_team_section_id, site_team_section_title, site_team_section_short, site_team_section_description', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'site_team_section_id' => 'Site Team Section',
			'site_team_section_title' => 'Site Team Section Title',
			'site_team_section_short' => 'Site Team Section Short',
			'site_team_section_description' => 'Site Team Section Description',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('site_team_section_id',$this->site_team_section_id);
		$criteria->compare('site_team_section_title',$this->site_team_section_title,true);
		$criteria->compare('site_team_section_short',$this->site_team_section_short,true);
		$criteria->compare('site_team_section_description',$this->site_team_section_description,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return SiteTeamSection the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
