<?php
/* @var $this MetaTagsController */
/* @var $model MetaTags */

$this->breadcrumbs=array(
	'Meta Tags'=>array('admin'),
	'Liste',
);

$this->menu=array(
	array('label'=>'<i class="fa fa-plus nar"></i> Add New', 'url'=>array('create'),'visible'=>Yii::app()->user->checkAccess('createPost'),'active'=>Yii::app()->controller->action->id=='create'),
	array('label'=>'<i class="fa fa-list nar"></i> List', 'url'=>array('admin'),'visible'=>Yii::app()->user->checkAccess('readPost'),'active'=>Yii::app()->controller->action->id=='admin'),
);
?>
<?php $form=$this->beginWidget('CActiveForm',array(
    'enableAjaxValidation'=>true,
));
?>
<?php $this->widget('zii.widgets.grid.CGridView', array(
	'ajaxUpdate'=>false,
	'id'=>'meta-tags-grid',
	'itemsCssClass'=>'table table-bordered table-striped datatable dataTable no-footer',
	'pagerCssClass'=>'dataTables_paginate paging_bootstrap',
	'pager'=>array(
		'htmlOptions'=>array(
			'class'=>'pagination pagination-sm',
		),
		'header'=>'',
		'firstPageLabel' => '<i class="fa fa-angle-double-left "></i> First',
		'prevPageLabel'  => '<i class="fa fa-angle-left"></i>',
		'nextPageLabel'  => '<i class="fa fa-angle-right"></i>',
		'lastPageLabel'  => 'Last <i class="fa fa-angle-double-right"></i>',

		),
	'summaryText'=>'',                   
	'rowCssClass'=>array('odd gradeX','even gradeC'),
	'dataProvider'=>$model->search(),
	#'filter'=>$model,
	'columns'=>array(
array(
			'id'=>'og_type',
			'class'=>'CCheckBoxColumn',
			'selectableRows'=>'50'
		),		'og_type',
		'og_url',
		'og_site_name',
		'og_title',
		'og_image',
		'og_description',
		/*
		'description',
		'id',
		*/
		array(
			'class'=>'CButtonColumn',
			'afterDelete'=>'function(link,success,data){
				if(success) { // if ajax call was successful !!!
					if(data == SUCCESS_TEXT) {  
						window.location.reload();
					} else {
						alert("Error! not deleted.");
					}
				} else {
					alert("Error! delete request failed, see console for mor info");
					console.log(data);
				}
			}',
			'template' => '{update} {view} {delete}',
			'buttons'=>array(
				'update'=>array(
					'label'=>'Update <i class="fa fa-pencil"></i>',
					'imageUrl'=>false,
					'options'=>array('class'=>'btn btn-default btn-sm btn-icon icon-left','style'=>'width:90px; margin-bottom:3px;'),
					'visible'=>"Yii::app()->user->checkAccess('updatePost')",
				),
				'view'=>array(
					'label'=>'View <i class="fa fa-tv"></i>',
					'imageUrl'=>false,
					'options'=>array('class'=>'btn btn-info btn-sm btn-icon icon-left','style'=>'width:90px; margin-bottom:3px;'),
					'visible'=>"Yii::app()->user->checkAccess('readPost')",
				),
				'delete'=>array(
					'label'=>'Delete <i class="fa fa-remove"></i>',
					'imageUrl'=>false,
					'data'=>array('YII_CSRF_TOKEN' => Yii::app()->request->csrfToken),
					'options'=>array('class'=>'btn btn-danger btn-sm btn-icon icon-left','style'=>'width:90px'), 
					'visible'=>"Yii::app()->user->checkAccess('admin')",
				),
			),
		),
	),
)); ?>
<?php $this->endWidget(); ?>
