 <?php
/* @var $this StickerController */
/* @var $model Sticker */
/* @var $form CActiveForm */
?>


<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'sticker-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>true,
	'clientOptions'=>array('validateOnSubmit'=>true),
	'htmlOptions'=>array('class'=>'form-horizontal form-groups-bordered')
)); ?>
	
	<div class="row clearfix">
	<div class="col-lg-3 col-md-3 col-sm-4 col-xs-5 form-control-label">
		<label for="Slide_title">Tray Icon</label>
	</div>
	<div class="col-lg-9 col-md-9 col-sm-8 col-xs-7">
		<div class="form-group">
			<div class="form-line">
			<?php 
				$this->widget('ext.euploadmam.EuploadmamWidget',array(
				'model'=>$model,
				'attribute' => 'icons', 
				'actionUpload'=>Yii::app()->createUrl('site/upload'),
				'actionRemoveFile'=>Yii::app()->createUrl('site/removeFile'),
				'limit'=>1,
				'maxSize'=>4, //4MB,
				'extensions'=>array('jpg','png'),//etc
				'uploadDir'=>'upload/',
				'view'=>'instant',//dragdrop,instant
				'title'=>array('auto',10),
				#'removeConfirmation'=>false,
				));
			?>
			</div>
		</div>
	</div>
	</div>
	
	<div class="row clearfix">
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-5 form-control-label">
			<label for="Slide_title">Categories</label>
		</div>
		<div class="col-lg-9 col-md-9 col-sm-8 col-xs-7">
			<div class="form-group">


			<?php 
				$category=Pack::model()->findAll();
				$list = CHtml::listData($category,'id', 'title');
				echo $form->dropDownList($model, 'category',$list,array('class'=>'form-control show-tick','empty' => '(Select Category)'));
			?>

			</div>
			<?php echo $form->error($model,"category"); ?>
		</div>
	</div>

	
	<div class="row clearfix">
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-5 form-control-label">
			<label for="Slide_title">Title</label>
		</div>
		<div class="col-lg-9 col-md-9 col-sm-8 col-xs-7">
			<div class="form-group">
				<div class="form-line">
					<?php echo $form->textField($model,'title',array('size'=>60, 'placeholder'=>'Enter sticker title','maxlength'=>255,'class'=>'form-control')); ?>
				</div>
				<?php echo $form->error($model,"title"); ?>
			</div>
		</div>
	</div>
	
		<div class="row clearfix">
	<div class="col-lg-3 col-md-3 col-sm-4 col-xs-5 form-control-label">
		<label for="Slide_title">Stickers</label>
	</div>
	<div class="col-lg-9 col-md-9 col-sm-8 col-xs-7">
		<div class="form-group">
			<div class="form-line">
			<?php 
				$this->widget('ext.euploadmam.EuploadmamWidget',array(
				'model'=>$model,
				'attribute' => 'stickers', 
				'actionUpload'=>Yii::app()->createUrl('site/upload'),
				'actionRemoveFile'=>Yii::app()->createUrl('site/removeFile'),
				'limit'=>30,
				'maxSize'=>1, //4MB,
				'extensions'=>array('webp'),//etc
				'uploadDir'=>'upload/',
				'view'=>'instant',//dragdrop,instant
				'title'=>array('auto',10),
				#'removeConfirmation'=>false,
				));
			?>
			</div>
		</div>
	</div>
	</div>
	
	<div class="row clearfix">
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-5 form-control-label">
			<label for="Slide_title">Tags</label>
		</div>
		<div class="col-lg-9 col-md-9 col-sm-8 col-xs-7">
			<div class="form-group">
				<div class="form-line">
					<?php echo $form->textField($model,'tags',array('size'=>60, 'placeholder'=>'Enter sticker tags','maxlength'=>255,'class'=>'form-control')); ?>
				</div>
					<?php echo $form->error($model,"tags"); ?>
			</div>
		</div>
	</div>
	
	<div class="row clearfix">
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-5 form-control-label">
			<label for="Slide_title">Premium</label>
		</div>
		<div class="col-lg-9 col-md-9 col-sm-8 col-xs-7">
			<div class="form-group">
				<div class="form-line">
				<?php echo $form->radioButtonList($model, 'premium', array('1' => 'Yes', '0' => 'No'),array('class'=>'flat-red')); ?>
				</div>
				<?php echo $form->error($model,"premium"); ?>
			</div>
		</div>
	</div>
	
	<div style="display:none" class="row clearfix">
		<div class="col-lg-3 col-md-3 col-sm-4 col-xs-5 form-control-label">
			<label for="Slide_title">Tags</label>
		</div>
		<div class="col-lg-9 col-md-9 col-sm-8 col-xs-7">
			<div class="form-group">
				<div class="form-line">
					<?php echo $form->radioButtonList($model, 'status', array('1' => 'Active', '0' => 'Passive'),array('class'=>'flat-red')); ?>
				</div>
				<?php echo $form->error($model,"status"); ?>
			</div>
		</div>
	</div>

	
	
	<div class="form-group buttons">
		<div class="col-sm-3">
			<?php echo CHtml::submitButton($model->isNewRecord ? 'Add New' : 'Update',array('class'=>'btn btn-primary m-t-15 waves-effect')); ?>
		</div>
	</div>

<?php $this->endWidget(); ?>
