<!DOCTYPE html>
<html lang="en">
<?php $meta_tags = MetaTags::model()->findByPk(1); ?>
<?php $portfolioSection = PortfolioSection::model()->findByPk(1); ?>
<head>

 <meta charset="utf-8">
 <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
 <meta name="description" content="">
 <meta name="author" content="">
 <meta property="og:type"           content="<?= $meta_tags->og_type?>" />
 <meta property="og:url"            content="<?= $meta_tags->og_url?>" />
 <meta property="og:site_name"      content="<?= $meta_tags->og_site_name?>" />
 <meta property="og:title"          content="<?= $meta_tags->og_title?>" />
 <meta property="og:image"          content="<?=Yii::app()->getBaseUrl(true)?>/upload/<?php echo Yii::app()->controller->getImage(1,"metaTags","og_image");?>" />
 <meta property="og:description"    content="<?= $meta_tags->og_description?>" />
 <meta name="description"           content="<?= $meta_tags->description?>" />
 <title><?= $meta_tags->og_site_name?></title>
  <!-- Bootstrap core CSS -->
  <link href="<?php echo Yii::app()->baseUrl."/themes/emrys/site/"; ?>vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

  <!-- Custom fonts for this template -->
  <link href="<?php echo Yii::app()->baseUrl."/themes/emrys/site/"; ?>vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css">
  <link href='https://fonts.googleapis.com/css?family=Kaushan+Script' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=Droid+Serif:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700' rel='stylesheet' type='text/css'>

  <!-- Custom styles for this template -->
  <link href="<?php echo Yii::app()->baseUrl."/themes/emrys/site/"; ?>css/agency.min.css" rel="stylesheet">

</head>

<body id="page-top">

  <!-- Navigation -->
  <nav class="navbar navbar-expand-lg navbar-dark fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand js-scroll-trigger" href="#page-top"><?= $meta_tags->og_site_name?></a>
      <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        Menu
        <i class="fas fa-bars"></i>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav text-uppercase ml-auto">
          <li class="nav-item">
            <a class="nav-link js-scroll-trigger" href="#make_your_own_stickers">How To</a>
          </li>
          <li class="nav-item">
            <a class="nav-link js-scroll-trigger" href="#portfolio">Portfolio</a>
          </li>
 
          <li class="nav-item">
            <a class="nav-link js-scroll-trigger" href="#team">Team</a>
          </li>
          <li class="nav-item">
            <a class="nav-link js-scroll-trigger" href="#contact">Contact</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
	<?php $intro_details = SiteSlider::model()->findByPk(1); ?>
	<?php //echo Yii::app()->controller->getImage(1,"SiteSlider","site_slider_image");?>
	<!-- Header -->

    
 <header class="masthead" style="background:<?=$intro_details->site_slider_background_color?>">

<section class="page-section" id="page-top"> <div class="container">
<div class="row">
    <div class="col-md-7 wow fadeIn text-center text-md-left">
        <div class="mt-5 pt-5 d-none d-md-block"></div>
        <h1 class="text-white"><?=$intro_details->site_slider_title?></h1>
        <p class="mt-5 lead text-white"><?=$intro_details->site_slider_desc?></p>
        <p class="mt-5">

            <a href="<?=$intro_details->site_slider_button_title?>" class="mr-2">
                <img style="width:200px;" src="upload/google-play.png" class="store-img" alt="Google Play Button" />
            </a>
        </p>
    </div>
    <div class="col-md-5 pt-4 d-none d-md-block">
        <img class="img-fluid mx-auto d-block" src="upload/<?php echo Yii::app()->controller->getImage(1,"SiteSlider","site_slider_image");?>" alt="App image"/>
    </div>
</div>
</div>
</section>
</header>


  <?php $services_details = SiteServices::model()->findByPk(1); ?>
  <!-- Make your own stickers! -->
  <section class="page-section" id="make_your_own_stickers">
    <div class="container">
      <div class="row">
        <div class="col-lg-12 text-center">
          <h2 class="section-heading text-uppercase"><?=$services_details->site_service_title?></h2>
          <h3 class="section-subheading text-muted"><?=$services_details->site_service_description?></h3>
        </div>
      </div>
      <div class="row text-center">
        <div class="col-md-3">
          <span class="fa-stack fa-3x">
            <i class="fas fa-circle fa-stack-2x text-primary"></i>
            <i class="<?=$services_details->site_service_first_icon?> fa-stack-1x fa-inverse"></i>
          </span>
          <h5 class="service-heading"><?=$services_details->site_service_first_title?></h5>
          <p class="text-muted"><?=$services_details->site_service_first_description?></p>
        </div>
        <div class="col-md-3">
          <span class="fa-stack fa-3x">
            <i class="fas fa-circle fa-stack-2x text-primary"></i>
            <i class="<?=$services_details->site_service_second_icon?> fa-stack-1x fa-inverse"></i>
          </span>
          <h5 class="service-heading"><?=$services_details->site_service_second_title?></h5>
          <p class="text-muted"><?=$services_details->site_service_second_description?></p>
        </div>
        <div class="col-md-3">
          <span class="fa-stack fa-3x">
            <i class="fas fa-circle fa-stack-2x text-primary"></i>
            <i class="<?=$services_details->site_service_third_icon?> fa-stack-1x fa-inverse"></i>
          </span>
          <h5 class="service-heading"><?=$services_details->site_service_third_title?></h5>
          <p class="text-muted"><?=$services_details->site_service_third_description?></p>
        </div>
		<div class="col-md-3">
          <span class="fa-stack fa-3x">
            <i class="fas fa-circle fa-stack-2x text-primary"></i>
            <i class="<?=$services_details->site_service_fourth_icon?> fa-stack-1x fa-inverse"></i>
          </span>
          <h5 class="service-heading"><?=$services_details->site_service_fourth_title?></h5>
          <p class="text-muted"><?=$services_details->site_service_fourth_description?></p>
        </div>
      </div>
    </div>
  </section>

  <!-- Portfolio Grid -->
  <section class="bg-light page-section" id="portfolio">
    <div class="container">
      <div class="row">
        <div class="col-lg-12 text-center">
          <h2 class="section-heading text-uppercase"><?=$portfolioSection->title?></h2>
          <h3 class="section-subheading text-muted"><?=$portfolioSection->description?></h3>
        </div>
      </div>
      <div class="row">
	<?php 
			function getPackDetail($cid,$column){
				// Pack Model
				$pack=Pack::model()->findAll('id=:id', array(':id'=>$cid));
				foreach($pack as $key => $cat):
					// return pack column
					return $cat->$column;
				endforeach;
			}
			
		    $sticker_cdb = new CDbCriteria();
			$sticker_cdb->order = 'id DESC';
			$sticker_cdb->limit = $portfolioSection->count_limit;
			$all_stickers=Sticker::model()->findAll($sticker_cdb);
	
	foreach($all_stickers as $sticker) 
	{ 
	?>
        <div  class="col-md-3 col-sm-6 portfolio-item">
          <a style="background:rgba(254,209,54,.9);" class="portfolio-link" data-toggle="modal" href="#portfolioModal<?=$sticker->id?>">
            <div class="portfolio-hover">
              <div class="portfolio-hover-content">
                <i class="fas fa-plus fa-3x"></i>
              </div>
            </div>
            <center><img class="img-fluid"  src="upload/<?php echo Yii::app()->controller->getImage($sticker->id,"Sticker","icons")?>" alt=""> </center>
          </a>
          <div class="portfolio-caption">
            <h4><?=getPackDetail($sticker->category,"title");?></h4>
            <p class="text-muted"><?=$sticker->title?></p>
          </div>
        </div>
		
	<?php }?>
        
      </div>
    </div>
  </section>
  <?php $team_section_details = SiteTeamSection::model()->findByPk(1); ?>
  <!-- Team -->
  <section class="page-section" id="team">
    <div class="container">
      <div class="row">
        <div class="col-lg-12 text-center">
          <h2 class="section-heading text-uppercase"><?=$team_section_details->site_team_section_title?></h2>
          <h3 class="section-subheading text-muted"><?=$team_section_details->site_team_section_short?></h3>
        </div>
      </div>
      <div class="row">
	<?php 
  
	$Criteria = new CDbCriteria();
	$teams = SiteTeam::model()->findAll($Criteria);
	
	foreach($teams as $team) 
	{ 
	?>
	<div class="col-sm-4">
          <div class="team-member">
            <img class="mx-auto rounded-circle" src="upload/<?php echo Yii::app()->controller->getImage($team['site_team_id'],"SiteTeam","site_team_image")?>" alt="">
            <h4><?=$team['site_team_name']?></h4>
            <p class="text-muted"><?=$team['site_team_mission']?></p>
            </ul>
          </div>
        </div>
	<?php }  ?>

    
      </div>
      <div class="row">
        <div class="col-lg-8 mx-auto text-center">
          <p class="large text-muted"><?=$team_section_details->site_team_section_description?> </p>
        </div>
      </div>
    </div>
  </section>


  <!-- Contact -->
  <section class="page-section" id="contact">
    <div class="container">
      <div class="row">
        <div class="col-lg-12 text-center">
          <h2 class="section-heading text-uppercase">Contact Us</h2>
          <h3 class="section-subheading text-muted"></h3>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-12">
		
<div class="form"> 
<?php 
	$model = Contact::model();
	$form=$this->beginWidget('CActiveForm', array( 
    'id'=>'contact-contactform-form', 
    // Please note: When you enable ajax validation, make sure the corresponding 
    // controller action is handling ajax validation correctly. 
    // See class documentation of CActiveForm for details on this, 
    // you need to use the performAjaxValidation()-method described there. 
    'enableAjaxValidation'=>false, 
	'htmlOptions'=>array(
                               'onsubmit'=>"return false;"
                             ),
)); ?>		 <p class="note">Fields with <span class="required">*</span> are required.</p> 
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
				  <?php echo $form->textField($model,'name',array('required'=>'frequired','class'=>'form-control','placeholder'=>'Your Name *','data-validation-required-message'=>'Please enter your name.')); ?>
                  <p class="help-block text-danger"> <?php echo $form->error($model,'name'); ?></p>
                </div>
				 <div class="form-group">
				  <?php echo $form->textField($model,'email',array('required'=>'frequired','class'=>'form-control','placeholder'=>'Your email *','data-validation-required-message'=>'Please enter your email.')); ?>
                  <p class="help-block text-danger"> <?php echo $form->error($model,'email'); ?></p>
                </div>
                <div class="form-group">
				  <?php echo $form->textField($model,'phone',array('required'=>'frequired','class'=>'form-control','placeholder'=>'Your phone *','data-validation-required-message'=>'Please enter your email.')); ?>
                  <p class="help-block text-danger"> <?php echo $form->error($model,'phone'); ?></p>
                </div>
				<?php if(CCaptcha::checkRequirements()): ?>
				 <div class="form-group">
				  <?php echo $form->textField($model,'verifyCode',array('required'=>'frequired','class'=>'form-control','placeholder'=>'Your verify code *','data-validation-required-message'=>'Please enter your email.')); ?>
                  <p class="help-block text-danger"> <?php echo $form->error($model,'verifyCode'); ?></p>
                </div>
				 <div class="form-group">
				  <?php $this->widget('CCaptcha'); ?>
                  <p class="help-block text-danger"> <?php echo $form->error($model,'verifyCode'); ?></p>
                </div>
				<?php endif; ?>
              </div>
              <div class="col-md-6">
                <div class="form-group">
				  <?php echo $form->textarea($model,'message',array('required'=>'frequired','class'=>'form-control','placeholder'=>'Your message *','data-validation-required-message'=>'Please enter your message.')); ?>
                  <p class="help-block text-danger"> <?php echo $form->error($model,'message'); ?></p>
                </div>
              </div>
              <div class="clearfix"></div>
              <div class="col-lg-12 text-center">
                <div id="success"></div>
                <?php echo CHtml::Button('Send Message',array('onclick'=>'send();','class'=>'btn btn-primary btn-xl text-uppercase')); ?>
              </div>
            </div>
<?php $this->endWidget(); ?>
</div><!-- form -->
        </div>
      </div>
    </div>
  </section>
  
<script type="text/javascript">

function send(){
  var data=$("#contact-contactform-form").serialize();
  $.ajax({
   type: 'POST',
   url: '<?php echo Yii::app()->createAbsoluteUrl("site/contact"); ?>',
   data:data,
   success:function(data){
	alert(data);
	document.getElementById("contact-contactform-form").reset();
	},
   error: function(data) {alert("Please try again. Reload the page.");},
  dataType:'html'
  });}
</script>

  <!-- Footer -->
  <footer class="footer">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-md-4">
          <span class="copyright">Copyright &copy; <?= $meta_tags->og_site_name?> <?=date('Y')?></span>
        </div>
        <div class="col-md-4">
		<?php $socialInformation_details = SocialInformation::model()->findByPk(1); ?>
          <ul class="list-inline social-buttons">
            <li class="list-inline-item">
              <a href="<?=$socialInformation_details->facebook?>">
                <i class="fab fa-twitter"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a href="<?=$socialInformation_details->twitter?>">
                <i class="fab fa-facebook-f"></i>
              </a>
            </li>
            <li class="list-inline-item">
              <a href="<?=$socialInformation_details->linkedim?>">
                <i class="fab fa-linkedin-in"></i>
              </a>
            </li>
          </ul>
        </div>
        <div class="col-md-4">
          <ul class="list-inline quicklinks">
            <li class="list-inline-item">
              <a href="<?=Yii::app()->createUrl('site/privacy')?>">Privacy Policy</a>
            </li>
            <li class="list-inline-item">
              <a href="<?=Yii::app()->createUrl('site/terms')?>">Terms of Use</a>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </footer>

  <!-- Portfolio Modals -->
<?php 
			
	foreach($all_stickers as $sticker) 
	{ 
	?>
	
	 	
  <!-- Modal 1 -->
  <div class="portfolio-modal modal fade" id="portfolioModal<?=$sticker->id?>" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="close-modal" data-dismiss="modal">
          <div class="lr">
            <div class="rl"></div>
          </div>
        </div>
        <div class="container">
          <div class="row">
            <div class="col-lg-12 mx-auto">
              <div class="modal-body">
                <!-- Project Details Go Here -->
                <h2 class="text-uppercase"><?=getPackDetail($sticker->category,"title");?></h2>
                <p class="item-intro text-muted"><?=$sticker->title?></p>
			
				 <div class="col-lg-12 mx-auto">
				 <?php 
				 
				$json_column=json_decode($sticker->stickers);
				if (sizeof($json_column)>0 || sizeof($json_column)<1):
					foreach($json_column as $key =>$value):
				?>
					<div style="float:left;" class="col-lg-2 mx-auto">
					<img style="width:128px; "class="img-fluid d-block mx-auto" src="upload/<?=$value->name?>" alt=""> 
					</div>
				
				<?php 
			
					endforeach;
				endif;
				 
				 ?>
				   </div>
				  
				
              </div>
            </div>
			 
          </div>
        </div>
      </div>
    </div>
  </div>
  
	<?php }?>

  <!-- Bootstrap core JavaScript -->
  <script src="<?php echo Yii::app()->baseUrl."/themes/emrys/site/"; ?>vendor/jquery/jquery.min.js"></script>
  <script src="<?php echo Yii::app()->baseUrl."/themes/emrys/site/"; ?>vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Plugin JavaScript -->
  <script src="<?php echo Yii::app()->baseUrl."/themes/emrys/site/"; ?>vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for this template -->
  <script src="<?php echo Yii::app()->baseUrl."/themes/emrys/site/"; ?>js/agency.min.js"></script>

</body>

</html>
